Subject: Re: kilauea compilation breaks with v3.3 kernel and ELDK 4.2

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 31 Mar 2012 11:03:04 +1100

On Sat, 2012-03-31 at 00:53 +0200, Frank Svendsbøe wrote:

> Hi Josh Boyer,
> 
> just wanted to add that I'm experiencing the same problem that Robert
> reported, but on 8xx instead of 4xx. The mpc8xx does not support the
> mfdcrx instruction, so maybe it's more to it than just a binutils bug?

The kernel shouldn't have tried to build that instruction on 8xx, though
I suppose if it's in arch/powerpc/boot, we are a bit too eager at
building everything including what's not relevant, we might to be a bit
more careful at excluding 4xx stuff on a 8xx kernel.

Can you give us the exact error ?

Cheers,
Ben.